RuleType (Encode/Decode Utilities (Version 1.10-SNAPSHOT))
Date: 2015-09-13

org.apache.commons.codec.language.bm

## Enum RuleType

- java.lang.Object
- - java.lang.Enum<RuleType>
  - - org.apache.commons.codec.language.bm.RuleType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RuleType>

      public enum RuleType
      extends java.lang.Enum<RuleType>

  Types of rule.
  Since:
    1.6
  Version:
    $Id: RuleType.java 1542813 2013-11-17 20:52:32Z tn $

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPROX` Approximate rules, which will lead to the largest number of phonetic interpretations.
    `EXACT` Exact rules, which will lead to a minimum number of phonetic interpretations.
    `RULES` For internal use only.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `name`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the rule name.
    `static RuleType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RuleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPROX

          public static final RuleType APPROX

      Approximate rules, which will lead to the largest number of phonetic interpretations.

    - #### EXACT

          public static final RuleType EXACT

      Exact rules, which will lead to a minimum number of phonetic interpretations.

    - #### RULES

          public static final RuleType RULES

      For internal use only. Please use `APPROX` or `EXACT`.

  - ### Field Detail

    - #### name

          private final java.lang.String name

  - ### Method Detail

    - #### values

          public static RuleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuleType c : RuleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuleType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Gets the rule name.
      Returns:
        the rule name.

commons-codec version 1.10-SNAPSHOT - Copyright © 2002-2015 - Apache Software Foundation